Summary:        Version 0.6 of this Cross platform C++ game library
Name:           ClanLib06
Version:        0.6.5
Release:        14%{?dist}
Group:          System Environment/Libraries
License:        LGPLv2
URL:            http://www.clanlib.org/
Source0:        http://www.clanlib.org/download/legacy/ClanLib-%{version}-1.tar.gz
# prebuild docs to avoid multilib conflicts. To regenerate untar and configure,
# cd Documentation, make, make install HTML_PREFIX=`pwd`/html, cd ..,
# tar cvfz ClanLib-%{version}-generated-docs.tar.gz Documentation/html
Source1:        ClanLib-%{version}-generated-docs.tar.gz
Patch0:         ClanLib-0.6.5-debian.patch
Patch1:         ClanLib-0.6.5-suse.patch
Patch2:         ClanLib-0.6.5-tolua++.patch
Patch3:         ClanLib-0.6.5-smalljpg.patch
Patch4:         ClanLib-0.6.5-gcc4.3.patch
Patch5:         ClanLib-0.6.5-mikmod32.patch
Patch6:         ClanLib-0.6.5-alsa.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  libX11-devel libXext-devel libXt-devel libGLU-devel
BuildRequires:  libICE-devel libXxf86vm-devel xorg-x11-proto-devel
BuildRequires:  libvorbis-devel libpng-devel libjpeg-devel mikmod-devel
BuildRequires:  tolua++-devel Hermes-devel freetype-devel autoconf
BuildRequires:  alsa-lib-devel
Provides:       clanlib06 = %{version}-%{release}

%description
Version 0.6 of this cross platform C++ game library, which is still used
by many games.


%package devel
Summary:        Development Libraries and Headers for ClanLib 0.6
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       libGLU-devel Hermes-devel mikmod-devel lua-devel libpng-devel
Provides:       clanlib06-devel = %{version}-%{release}

%description devel
ClanLib 0.6 development headers and libraries


%prep
%setup -q -a 1 -n ClanLib-%{version}
%patch0 -p1 -z .deb
%patch1 -p1 -z .suse
%patch2 -p1 -z .tolua++
%patch3 -p1 -z .smalljpg
%patch4 -p1 -z .gcc43
%patch5 -p1 -z .mikmod32
%patch6 -p1 -z .alsa
# mark asm files as NOT needing execstack
for i in `find Sources -name '*.s'`; do
  echo '.section .note.GNU-stack,"",@progbits' >> $i
done
autoconf


%build
%ifarch %{ix86}
ARCH_CONFIG_FLAGS=--enable-asm386
%endif
cp -a -f /usr/lib/rpm/redhat/config.sub .
%configure --disable-dependency-tracking --disable-debug --enable-dyn \
  --disable-directfb $ARCH_CONFIG_FLAGS
tolua++ -o Sources/Lua/clanbindings.cpp Sources/Lua/clanbindings.pkg
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm $RPM_BUILD_ROOT%{_libdir}/*.a
chmod -x $RPM_BUILD_ROOT%{_mandir}/man1/clanlib-config.1*


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc COPYING CREDITS NEWS ascii-logo
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%doc README README.gui README.upgrade Documentation/html
%{_bindir}/clanlib-config
%{_libdir}/*.so
%{_includedir}/ClanLib
%{_mandir}/man1/clanlib-config.1.gz


%changelog
* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.5-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Sep  7 2008 Hans de Goede <hdegoede@redhat.com> 0.6.5-13
- Fix patch fuzz build failure

* Sun Mar  2 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 0.6.5-12
- Add support for audio output through alsa (original ClanLib only supports
  OSS??), this also adds support for using pulseaudio through alsa

* Sun Feb 17 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 0.6.5-11
- Rebuild for new libmikmod
- Rebuild with gcc 4.3

* Fri Jan  4 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 0.6.5-10
- Fix building with gcc 4.3

* Sun Oct 21 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.6.5-9
- Explictily disable directfb support, so that it doesn't accidentally get
  build on system which have directfb installed
- Fix multilib conflict in the Reference documentation (bz 340861)

* Fri Aug  3 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.6.5-8
- Update License tag for new Licensing Guidelines compliance

* Mon Aug 28 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 0.6.5-7
- FE6 Rebuild

* Mon Jul 31 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 0.6.5-6
- Add missing Requires: libpng-devel to the -devel package <sigh>.

* Tue Jul 25 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 0.6.5-5
- Add missing BRs: libGLU-devel freetype-devel libXt-devel. To Fix resp
  building of clanGL, clanTTF and X detection on FC-5.

* Tue Jul 25 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 0.6.5-4
- Add missing Requires: libGLU-devel Hermes-devel mikmod-devel lua-devel to
  the -devel package.

* Sun Jul 23 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 0.6.5-3
- Mark asm files as NOT needing execstack, making us OK with new default
  SELinux targeted policy settings.

* Sun Jul 23 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 0.6.5-2
- Add missing BRs: tolua++-devel, Hermes-devel and autoconf

* Wed Jul 19 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 0.6.5-1
- Initial FE version based on the newrpms SRPM by Che.
